audioconvert(1)

NAME
audioconvert - An audio-file copying and conversion tool.

SYNOPSIS
audioconvert [options] source [destination]

INTRODUCTION
Audioconvert is a convenient tool to batch process audio files. It was designed to be able to quickly convert files found in the source directory tree and store them with the same relative path in the destination directory. A typical use case is where you have your music files in a lossless format (FLAC) and need to have them available for a portable device in a lossy format (Ogg Vorbis).

For each file type you can set the desired action to be performed (or to be ignored) allowing for mixed operations. For example, If your portable device supports ogg and mp3, you can choose to convert flac to ogg vorbis and copy the mp3 files without conversion.

OPTIONS
Output Action For each supported file type a desired action may be specified. The following actions are supported:

    flac - Convert source file to flac.
     ogg - Convert source file to ogg vorbis.
     mp3 - Convert source file to mp3.
     mp4 - Convert source file to mp4.
     mpc - Convert source file to Musepack. opus - Convert source file to Opus. copy - Copy source without conversion to destination none - Do nothing. Source file is skipped. (default)

The desired action can be specified using the following command line arguments:

    --flac=ACTION
        Set desired ACTION for flac files

    --ogg=TYPE
        Set desired ACTION for ogg vorbis files

    --mp3=ACTION
        Set desired ACTION for mp3 files

    --mp4=ACTION
        Set desired ACTION for mp4 files

    --mpc=ACTION
        Set desired ACTION for mpc files

    --opus=ACTION
        Set desired ACTION for opus files

    --all=ACTION
        Set desired output for all file types. By specifying this first you can use this to set a default ACTION.

Tagbased filename formatting

    --rename
        Use tagbased filename formatting for destination files.

    --format-template=format
        Set the filename format template. Default: %P/%A?d< - disc %d>/%N %T Format Specifiers

        %T - Title %P - Album Artist %p - Track Artist %A - Album Name %w - Composer %c - Conductor %y - Year %d - Disc Number %N - Track Number (2 digits) %n - Track Number %G - Genre ?c<a|b> - display a if c is not empty, display b if c is empty ?c - display c if not empty

    --format-strip=characterset
        Strip characters from fields. Default: '\#~!"$&();<>|`^*?[]/.:

    --format-encoding=encoding
        Set character encoding to use when writing field names. Default: ascii

    --format-no-spaces
        Replaces spaces in fields with underscores

    --format-lowercase
        Lower case fields in filenames

Misc

    -j count
        Specificy maximum number of parallel tasks (default is 1). Only decoding and encoding are done in parallel.

    -n, --dry-run
        Print operations instead of performing

    -q, --quiet
        Suppress Output Messages

    --overwrite
        Force overwriting existing files

    --no-direct
        Do not use direct conversion. Some encoders accepts other formats than wav. By default audioconvert tries to take advantage of this by skipping the decoding step and feeding the input directly. This option disables this and forces all formats to be decoded to wav first.
Other

    -h, --help
        Display list of options

    -v, --version
        Display version information

EXAMPLES
audioconvert --flac=ogg /home/foobar/input /home/foobar/output

FILES

$(XDG_CONFIG_DIRS)/audioconvert/config.rc
    Configuration File

AUTHOR
Sander Jansen <s.jansen@gmail.com>